package auction

// DO NOT EDIT - generated by aliasgen tool (github.com/rhuairahrighairidh/aliasgen)

import (
	"github.com/kava-labs/kava/x/auction/keeper"
	"github.com/kava-labs/kava/x/auction/types"
)

const (
	AttributeKeyAuctionID     = types.AttributeKeyAuctionID
	AttributeKeyAuctionType   = types.AttributeKeyAuctionType
	AttributeKeyBid           = types.AttributeKeyBid
	AttributeKeyBidder        = types.AttributeKeyBidder
	AttributeKeyCloseBlock    = types.AttributeKeyCloseBlock
	AttributeKeyEndTime       = types.AttributeKeyEndTime
	AttributeKeyLot           = types.AttributeKeyLot
	AttributeKeyMaxBid        = types.AttributeKeyMaxBid
	AttributeValueCategory    = types.AttributeValueCategory
	CollateralAuctionType     = types.CollateralAuctionType
	DebtAuctionType           = types.DebtAuctionType
	DefaultBidDuration        = types.DefaultBidDuration
	DefaultMaxAuctionDuration = types.DefaultMaxAuctionDuration
	DefaultNextAuctionID      = types.DefaultNextAuctionID
	DefaultParamspace         = types.DefaultParamspace
	EventTypeAuctionBid       = types.EventTypeAuctionBid
	EventTypeAuctionClose     = types.EventTypeAuctionClose
	EventTypeAuctionStart     = types.EventTypeAuctionStart
	ForwardAuctionPhase       = types.ForwardAuctionPhase
	ModuleName                = types.ModuleName
	QuerierRoute              = types.QuerierRoute
	QueryGetAuction           = types.QueryGetAuction
	QueryGetAuctions          = types.QueryGetAuctions
	QueryGetParams            = types.QueryGetParams
	QueryNextAuctionID        = types.QueryNextAuctionID
	ReverseAuctionPhase       = types.ReverseAuctionPhase
	RouterKey                 = types.RouterKey
	StoreKey                  = types.StoreKey
	SurplusAuctionType        = types.SurplusAuctionType
)

var (
	// function aliases
	ModuleAccountInvariants  = keeper.ModuleAccountInvariants
	NewKeeper                = keeper.NewKeeper
	NewQuerier               = keeper.NewQuerier
	RegisterInvariants       = keeper.RegisterInvariants
	ValidAuctionInvariant    = keeper.ValidAuctionInvariant
	ValidIndexInvariant      = keeper.ValidIndexInvariant
	DefaultGenesisState      = types.DefaultGenesisState
	DefaultParams            = types.DefaultParams
	GetAuctionByTimeKey      = types.GetAuctionByTimeKey
	GetAuctionKey            = types.GetAuctionKey
	NewAuctionWithPhase      = types.NewAuctionWithPhase
	NewCollateralAuction     = types.NewCollateralAuction
	NewDebtAuction           = types.NewDebtAuction
	NewGenesisState          = types.NewGenesisState
	NewMsgPlaceBid           = types.NewMsgPlaceBid
	NewParams                = types.NewParams
	NewQueryAllAuctionParams = types.NewQueryAllAuctionParams
	NewQueryAuctionParams    = types.NewQueryAuctionParams
	NewSurplusAuction        = types.NewSurplusAuction
	NewWeightedAddresses     = types.NewWeightedAddresses
	ParamKeyTable            = types.ParamKeyTable
	RegisterCodec            = types.RegisterCodec
	Uint64FromBytes          = types.Uint64FromBytes
	Uint64ToBytes            = types.Uint64ToBytes

	// variable aliases
	AuctionByTimeKeyPrefix     = types.AuctionByTimeKeyPrefix
	AuctionKeyPrefix           = types.AuctionKeyPrefix
	DefaultIncrement           = types.DefaultIncrement
	DistantFuture              = types.DistantFuture
	ErrAuctionHasExpired       = types.ErrAuctionHasExpired
	ErrAuctionHasNotExpired    = types.ErrAuctionHasNotExpired
	ErrAuctionNotFound         = types.ErrAuctionNotFound
	ErrBidTooLarge             = types.ErrBidTooLarge
	ErrBidTooSmall             = types.ErrBidTooSmall
	ErrInvalidBidDenom         = types.ErrInvalidBidDenom
	ErrInvalidInitialAuctionID = types.ErrInvalidInitialAuctionID
	ErrInvalidLotDenom         = types.ErrInvalidLotDenom
	ErrLotTooLarge             = types.ErrLotTooLarge
	ErrLotTooSmall             = types.ErrLotTooSmall
	ErrUnrecognizedAuctionType = types.ErrUnrecognizedAuctionType
	KeyBidDuration             = types.KeyBidDuration
	KeyIncrementCollateral     = types.KeyIncrementCollateral
	KeyIncrementDebt           = types.KeyIncrementDebt
	KeyIncrementSurplus        = types.KeyIncrementSurplus
	KeyMaxAuctionDuration      = types.KeyMaxAuctionDuration
	ModuleCdc                  = types.ModuleCdc
	NextAuctionIDKey           = types.NextAuctionIDKey
)

type (
	Keeper                = keeper.Keeper
	Auction               = types.Auction
	AuctionWithPhase      = types.AuctionWithPhase
	Auctions              = types.Auctions
	BaseAuction           = types.BaseAuction
	CollateralAuction     = types.CollateralAuction
	DebtAuction           = types.DebtAuction
	GenesisAuction        = types.GenesisAuction
	GenesisAuctions       = types.GenesisAuctions
	GenesisState          = types.GenesisState
	MsgPlaceBid           = types.MsgPlaceBid
	Params                = types.Params
	QueryAllAuctionParams = types.QueryAllAuctionParams
	QueryAuctionParams    = types.QueryAuctionParams
	SupplyKeeper          = types.SupplyKeeper
	SurplusAuction        = types.SurplusAuction
	WeightedAddresses     = types.WeightedAddresses
)
